Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.pattern
Class ThrowablePatternConverter

    java.lang.Object
      org.apache.logging.log4j.core.pattern.AbstractPatternConverter
          org.apache.logging.log4j.core.pattern.LogEventPatternConverter
              org.apache.logging.log4j.core.pattern.ThrowablePatternConverter

All Implemented Interfaces:
  PatternConverter

Direct Known Subclasses:
  ExtendedThrowablePatternConverter, RootThrowablePatternConverter

    @Plugin(name="ThrowablePatternConverter",
            category="Converter")
    public class ThrowablePatternConverter

extends LogEventPatternConverter

Outputs the Throwable portion of the LoggingEvent as a full stack trace unless this converter's option is 'short', where it just outputs the first line of the trace, or if the number of lines to print is explicitly specified.

Field Summary
`protected ThrowableFormatOptions` | `options` The number of lines to write.

Fields inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`LOGGER`

Fields inherited from interface org.apache.logging.log4j.core.pattern.PatternConverter
`CATEGORY`

Constructor Summary
`protected` | `ThrowablePatternConverter(String name, String style, String[] options)` Constructor.

Method Summary
`void` | `format(LogEvent event, StringBuilder buffer)` Formats an event into a string buffer.
`boolean` | `handlesThrowable()` This converter obviously handles throwables.
`static ThrowablePatternConverter` | `newInstance(String[] options)` Gets an instance of the class.

Methods inherited from class org.apache.logging.log4j.core.pattern.LogEventPatternConverter
`format`

Methods inherited from class org.apache.logging.log4j.core.pattern.AbstractPatternConverter
`getName, getStyleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### options

    protected final ThrowableFormatOptions options

  The number of lines to write.

Constructor Detail

### ThrowablePatternConverter

    protected ThrowablePatternConverter(String name,
                                        String style,
                                        String[] options)

  Constructor.

  Parameters:
    `name` - Name of converter.
    `style` - CSS style for output.
    `options` - options, may be null.

Method Detail

### newInstance

    public static ThrowablePatternConverter newInstance(String[] options)

  Gets an instance of the class.

  Parameters:
    `options` - pattern options, may be null. If first element is "short", only the first line of the throwable will be formatted.
  Returns:
    instance of class.

### format

    public void format(LogEvent event,
                       StringBuilder buffer)

  Formats an event into a string buffer.

  Specified by:
    `format` in class `LogEventPatternConverter`
  Parameters:
    `event` - event to format, may not be null.
    `buffer` - string buffer to which the formatted event will be appended. May not be null.

### handlesThrowable

    public boolean handlesThrowable()

  This converter obviously handles throwables.

  Overrides:
    `handlesThrowable` in class `LogEventPatternConverter`
  Returns:
    true.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.